#pragma once
#include <SDL_render.h>

#include "KDrawable.h"
#include "KTexture.h"
#include "KVector2d.h"

namespace KapitanGame
{
	class KCamera;
	class KCollider;

	class KSolid : public KDrawable
	{
	public:
		KSolid(const KVector2D& position, const KTexture& texture, SDL_Rect* tileClip, SDL_RendererFlip flip = SDL_FLIP_NONE);
		~KSolid() override = default;
		[[nodiscard]] virtual const KCollider* GetCollider() const = 0;
	};
}

