#pragma once
namespace KapitanGame {
	namespace Constants {
		constexpr const char* WINDOW_TITLE = "2DGK - Zadanie 7-8";
		//Analog joystick dead zone
		constexpr int JOYSTICK_DEAD_ZONE = 8000;
		//Screen dimension constants
		constexpr int WINDOW_DEAD_ZONE = 100;
		constexpr int SCREEN_WIDTH = 640;
		constexpr int SCREEN_HEIGHT = 480;
		constexpr float SCREEN_RATIO = static_cast<float>(SCREEN_WIDTH) / SCREEN_HEIGHT;
		constexpr int TILE_WIDTH = 32;
		constexpr int TILE_HEIGHT = 32;
		constexpr float SPEED = 0.16f;
		constexpr float SMOOTH = 0.4f;
		constexpr int CIRCLES_COUNT = 100;
	}
}
