#pragma once

namespace KapitanGame::Constants
{
	constexpr const char* WINDOW_TITLE = "2DGK - Zadanie 3 (Lab 11-12)";
	//Analog joystick dead zone
	constexpr int JOYSTICK_DEAD_ZONE = 8000;
	//Screen dimension constants
	constexpr int WINDOW_DEAD_ZONE = 100;
	constexpr int SCREEN_WIDTH = 640;
	constexpr int SCREEN_HEIGHT = 480;
	constexpr float SCREEN_RATIO = static_cast<float>(SCREEN_WIDTH) / SCREEN_HEIGHT;
	constexpr int TILE_WIDTH = 32;
	constexpr int TILE_HEIGHT = 32;
	constexpr float SPEED = 200.f;
	constexpr float SMOOTH = 0.4f;
	constexpr float JUMP_SPEED = 300.f;
	constexpr float HORIZONTAL_DISTANCE_TO_MAX_JUMP_HEIGHT = TILE_WIDTH * 4.f;
	constexpr float MAX_JUMP_HEIGHT = TILE_HEIGHT * 4.f;
	constexpr float MAX_GRAVITY = 1000.f;
}
