#pragma once
#include "KObject.h"
#include "KRect.h"

namespace KapitanGame
{
	class KWall final :
		public KObject
	{
	public:
		KWall(const KVector2D& position, const KTexture& texture)
			: KObject(position, texture),
			Collider(this, texture.GetWidth() * 1.f, texture.GetHeight() * 1.f)
		{
		}

		const KCollider* GetCollider() const override;
	private:
		KRect Collider;
	};
}

